/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/

using FairyGUI;
using FairyGUI.Utils;
using NBC;
using System.Collections.Generic;

namespace NBF
{
    /// <summary>  </summary>
    public partial class FishingPanel
    {
        public GObject this[string aKey] => ContentPane.GetChild(aKey);
        public override string UIPackName => "Fishing";
        public override string UIResName => "FishingPanel";

        [AutoFind(Name = "throwCtrl")]
        public Controller throwCtrl;
        [AutoFind(Name = "fishingState")]
        public Controller fishingState;
        [AutoFind(Name = "driveType")]
        public Controller driveType;
        [AutoFind(Name = "ThrowProgress")]
        public GProgressBar ThrowProgress;
        [AutoFind(Name = "TextFPS")]
        public GTextField TextFPS;
        [AutoFind(Name = "TextTime")]
        public GLabel TextTime;
        [AutoFind(Name = "FishingState")]
        public FishingStateInfo FishingState;
        [AutoFind(Name = "Interactive")]
        public InteractiveTag Interactive;
        [AutoFind(Name = "OperationTips")]
        public GList OperationTips;
        [AutoFind(Name = "Team")]
        public FishingTeam Team;
        public override string[] GetDependPackages(){ return new string[] {"Common"}; }

        public static void Show(object param = null){ UI.Inst.OpenUI<FishingPanel>(param); }

        public static void Hide(){ UI.Inst.HideUI<FishingPanel>(); }

        public static void Del(){ UI.Inst.DestroyUI<FishingPanel>(); }

    }
}